﻿-- 库存计划 匹配映射配置 主键、索引脚本
EXEC P_ALTERPK 'PK_T_INVP_MATCHCONFIG', 'T_INVP_MATCHCONFIG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG' AND KSQL_INDNAME = 'IDX_INVP_MC_FNUM') CREATE INDEX IDX_INVP_MC_FNUM ON T_INVP_MATCHCONFIG ( FNUMBER );
-- 分录表
EXEC P_ALTERPK 'PK_T_INVP_MATCHCONFIG_ENTRY', 'T_INVP_MATCHCONFIG_ENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG_ENTRY' AND KSQL_INDNAME = 'IDX_INVP_MCENTRY_FID') CREATE INDEX IDX_INVP_MCENTRY_FID ON T_INVP_MATCHCONFIG_ENTRY ( FID );
-- 多语言表
EXEC P_ALTERPK 'PK_T_INVP_MATCHCONFIG_L', 'T_INVP_MATCHCONFIG_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG_L' AND KSQL_INDNAME = 'IDX_INVP_MCL_FLOCAL') CREATE INDEX IDX_INVP_MCL_FLOCAL ON T_INVP_MATCHCONFIG_L ( FID ,FLOCALEID );
