--平衡利库方案表创建
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SCHEME')
 CREATE TABLE T_INVP_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,

FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FINVLEVELID BIGINT DEFAULT 0 NOT NULL,
FUPDATEINVLEVEL CHAR(1) DEFAULT ' ' NOT NULL,
FALGORITHMPLANID BIGINT DEFAULT 0 NOT NULL,
FPLANOUTLOOK INT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDEMANDMODELID BIGINT DEFAULT 0 NOT NULL,
FSUPTODEMMAPPING BIGINT DEFAULT 0 NOT NULL,
FDEMTOLEVELMAPPING BIGINT DEFAULT 0 NOT NULL,

FOUTOFDATE VARCHAR(50) NOT NULL DEFAULT ' ',
FDEMDELAYDAY INT DEFAULT 0 NOT NULL,

FSUPPLYMODELID BIGINT DEFAULT 0 NOT NULL,
FSCOUTOFDATE VARCHAR(50) NOT NULL DEFAULT ' ',
FSUPDELAYDAY INT DEFAULT 0 NOT NULL,

FALLOWLEADTIME INT DEFAULT 0 NOT NULL,
FALLOWDELAYTIME INT DEFAULT 0 NOT NULL,

FPLANADVICEMAPID BIGINT DEFAULT 0 NOT NULL,
FAUTOAUDITPLANADV CHAR(1) DEFAULT ' ' NOT NULL,
FLEADTIMELACKASC CHAR(1) DEFAULT ' ' NOT NULL,
FPERIODTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPERIODDAYS INT DEFAULT 0 NOT NULL,

FUNIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEXCURSIONDAYS INT DEFAULT 0 NOT NULL,

FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,

FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SCHEME_L')
 CREATE TABLE T_INVP_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_ORGPARAMENTRY')
CREATE TABLE T_INVP_ORGPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYSUPPLYPOLICYID BIGINT DEFAULT 0 NOT NULL,
FENTRYDEMANDORGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DEMPARAMENTRY')
 CREATE TABLE T_INVP_DEMPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDEMANDSRCID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINDEMCAL CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DEMPRIORITYENTRY')
 CREATE TABLE T_INVP_DEMPRIORITYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDEMCOLSIGN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEMCOLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEMANDENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSORTTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SUPPARAMENTRY')
CREATE TABLE T_INVP_SUPPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLYDATASRCID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSUPCAL CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_ADJUSTENTRY')
CREATE TABLE T_INVP_ADJUSTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTSTRATEGY  NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_GENRESULTENTRY')
CREATE TABLE T_INVP_GENRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUNIONCOLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIOCOLSIGN NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_OUTPUTENTRY')
CREATE TABLE T_INVP_OUTPUTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERVALUE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTARGETPUTBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTOPUTBOTPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETBILLSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FAUTOPUT CHAR(1) DEFAULT '0' NOT NULL
);


