-- 库存计划 资源注册模型建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MODEL_REGISTER')
 CREATE TABLE T_INVP_MODEL_REGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' '  NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' '  NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' '  NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' '  NOT NULL,
FCREATETIME DATETIME ,
FMODIFYTIME DATETIME ,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FMODELTYPE NVARCHAR(50) DEFAULT ' '  NOT NULL,
FBUSINESSENTITYID NVARCHAR(50) DEFAULT ' '  NOT NULL,
FOUTPUTTYPEID NVARCHAR(50) DEFAULT ' '  NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' '  NOT NULL,
FOUTPUTRESULT BIGINT DEFAULT 0 NOT NULL,
FOUTPUTMAPPINGSUPPLY BIGINT DEFAULT 0 NOT NULL,
FAPPTYPE NVARCHAR(50) DEFAULT ' '  NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MODEL_REGISTER_L')
 CREATE TABLE T_INVP_MODEL_REGISTER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_TARGETENTRY')
 CREATE TABLE T_INVP_TARGETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT(0) NOT NULL,
FSIGNID NVARCHAR(80) DEFAULT ' '  NOT NULL,
FSIGNNAME NVARCHAR(80) DEFAULT ' '  NOT NULL,
FDATATYPE NVARCHAR(50) DEFAULT ' '  NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SOURCEENTRY')
 CREATE TABLE T_INVP_SOURCEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLD NVARCHAR(50) DEFAULT ' '  NOT NULL,
FBILLFIELDMAPID BIGINT DEFAULT 0 NOT NULL,
FFILTERDESCDS NVARCHAR(2000) DEFAULT(' ') NOT NULL,
FFILTERVALUEDS NVARCHAR(2000) DEFAULT(' ') NOT NULL
);