-- 预测日均消耗量记录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAC_RECORD')
CREATE TABLE T_INVP_DAC_RECORD (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT 'A' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE  CHAR(1) DEFAULT '1' NOT NULL,
	FCREATETIME TIMESTAMP NULL,
	FMODIFYTIME TIMESTAMP NULL,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FBIZORGID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
	FGROUPSTANDARDID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
	FSCHEMA BIGINT DEFAULT 0 NOT NULL,
	FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMATERIALUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONSUMEPERDAY DECIMAL(23,4) DEFAULT 0 NOT NULL
);

-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAC_RECORD_L')
CREATE TABLE T_INVP_DAC_RECORD_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);
