-- 因子数据维护
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_INVLEVELDATA')
CREATE TABLE T_INVP_INVLEVELDATA (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
    FBITINDEX BIGINT DEFAULT 0 NOT NULL,
    FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
    FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
    FMAINPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL,
    FDIMENSION BIGINT DEFAULT 0 NOT NULL
);

-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_INVLEVELDATA_L')
CREATE TABLE T_INVP_INVLEVELDATA_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_INVLEVELDATAENTRY')
CREATE TABLE T_INVP_INVLEVELDATAENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL,
	FENTRYSTOCK BIGINT DEFAULT 0 NOT NULL,
	FMATERIALGROUPSTANDARD BIGINT DEFAULT 0 NOT NULL,
	FMATERIALGROUP BIGINT DEFAULT 0 NOT NULL,
	FENTRYMATERIEL BIGINT DEFAULT 0 NOT NULL,
	FENTRYORG BIGINT DEFAULT 0 NOT NULL,
	FSAFEINVDAYS BIGINT DEFAULT 0 NOT NULL,
	FPREPAYDAYS BIGINT DEFAULT 0 NOT NULL,
	FORDERCYCLEDAYS BIGINT DEFAULT 0 NOT NULL,
	FBUFFERDAYS BIGINT DEFAULT 0 NOT NULL,
	FORDERAUDITDAYS BIGINT DEFAULT 0 NOT NULL,
	FSUPPLIERCOMFIRMDAYS BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTDAYS BIGINT DEFAULT 0 NOT NULL,
	FTRANSITDAYS BIGINT DEFAULT 0 NOT NULL,
	FINSPECTDAYS BIGINT DEFAULT 0 NOT NULL
);


