-- 取数方案
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYSCHEMA')
CREATE TABLE T_INVP_QUERYSCHEMA (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
	FCREATETIME TIMESTAMP,
	FMODIFYTIME TIMESTAMP,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL,
	FLEVELFACTOR BIGINT DEFAULT 0 NOT NULL,
	FLEVELDIMENSION BIGINT DEFAULT 0 NOT NULL
);


-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYSCHEMA_L')
CREATE TABLE T_INVP_QUERYSCHEMA_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYSCHEMAENTRY')
CREATE TABLE T_INVP_QUERYSCHEMAENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FQUERYRULE BIGINT DEFAULT 0 NOT NULL,
	FNEXTSTEP CHAR(1) DEFAULT 'A' NOT NULL
);

